All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
pcm_shm.c File Reference

PCM Shared Memory Plugin Interface. More...

## Functions

int | snd_pcm_shm_open (snd_pcm_t **pcmp, const char *name, const char *sockname, const char *sname, snd_pcm_stream_t stream, int mode)
| Creates a new shared memory PCM. More...
int | _snd_pcm_shm_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new shm PCM. More...

## Detailed Description

PCM Shared Memory Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org

Date
  2000-2001

## Function Documentation

int _snd_pcm_shm_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new shm PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with hw PCM description
  stream | PCM Stream
  mode | PCM Mode

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_shm_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | const char * | sockname,
|  | const char * | sname,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new shared memory PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  sockname | Unix socket name
  sname | Server name
  stream | PCM Stream
  mode | PCM Mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.